## NAME

v.select - Select features from ainput by features from binput

## KEYWORDS

vector

## SYNOPSIS

v.select
v.select help
v.select [-t] ainput=name [atype=string[,string,...]] [alayer=integer] binput=name [btype=string[,string,...]] [blayer=integer] output=name [operator=string] [--overwrite]

### Flags:

-t
  Do not create attribute table
--overwrite
  Force overwrite of output files

### Parameters:

ainput=name
  Name of input vector map
atype=string[,string,...]
  Type
  Options: point,line,boundary,centroid,area
  Default: point,line,boundary,centroid,area
alayer=integer
  Layer number
  Default: 1
binput=name
  Name of input vector map
btype=string[,string,...]
  Type
  Options: point,line,boundary,centroid,area
  Default: point,line,boundary,centroid,area
blayer=integer
  Layer number
  Default: 1
output=name
  Name for output vector map
operator=string
  Operator defines required relation between features. A feature is written to output if the result of operation 'ainput operator binput' is true. An input feature is considered to be true, if category of given layer is defined.
  overlap: features partially or completely overlap
  Options: overlap
  Default: overlap

## DESCRIPTION

v.select allows the user to select features from a vector by features from another one.

## NOTES

## EXAMPLES

Extract forest fire points from larger fire map:

    v.select ainput=fire binput=forest output=forest_fire

Extract Italian rivers from VMAP0 watercourses map:

    v.select ain=watrcrsl_eurnasia_wgs84 bin=italy_area \
             out=watrcrsl_italy op=overlap

## SEE ALSO

v.overlay, GRASS SQL interface

## AUTHORS

Radim Blazek

Last changed: $Date: 2007/03/22 08:00:33 $

Main index - vector index - Full index